package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020.10.10
 **/
public enum StockType implements BaseEnum<String, StockType> {
    INTERNAL("INTERNAL", "内部"),
    EXTERNAL("EXTERNAL", "外部"),
    ALL("ALL", "内部、外部");

    private String code;
    private String msg;

    StockType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getMsg() {
        return msg;
    }

    @Override
    public String getCode() {
        return code;
    }
}
